package com.hongyegroup.cpt_parttime.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.fragment.YYBaseVDBLazyLoadingFragment
import com.guadou.cs_cptservices.interfaces.IFragmentRefresh
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.vertical
import com.hongyegroup.cpt_parttime.R
import com.hongyegroup.cpt_parttime.databinding.FragmentParttimeJobDetailProcessBinding
import com.hongyegroup.cpt_parttime.mvvm.PartJobDetailProcessViewModel

/**
 * 工作详情 子页面 How To Report
 * 工作流程
 */
class PartJobDetailProcessFragment : YYBaseVDBLazyLoadingFragment<PartJobDetailProcessViewModel, FragmentParttimeJobDetailProcessBinding>(),
    IFragmentRefresh {

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.fragment_parttime_job_detail_process)
    }

    override fun init(savedInstanceState: Bundle?) {
        initRV()
    }

    override fun onLazyInitData() {
       mViewModel.getHowReportData()
    }

    private fun initRV() {
        mBinding.rvHowReport.vertical().apply {
            adapter = mViewModel.mAdapter
        }
    }

    override fun startObserve() {
    }

    override fun scrollTopRefresh() {

    }


}